MyGUI: MyGUI::IBDrawItemInfo Struct Reference

MyGUI 3.2.2

Public Member Functions | Data Fields
MyGUI::IBDrawItemInfo Struct Reference

`#include <MyGUI_IBItemInfo.h>`

## Public Member Functions
| IBDrawItemInfo ()
| IBDrawItemInfo (size_t _index, size_t _select, size_t _active, size_t _accept, size_t _refuse, bool _update, bool _drag)

## Data Fields
size_t | index
bool | update
bool | select
bool | active
bool | drag
bool | drop_accept
bool | drop_refuse

## Detailed Description

Info about ItemBox item

Definition at line 17 of file MyGUI_IBItemInfo.h.

## Constructor & Destructor Documentation

## ◆ IBDrawItemInfo() [1/2]

MyGUI::IBDrawItemInfo::IBDrawItemInfo | ( |  | ) |
| inline

Definition at line 20 of file MyGUI_IBItemInfo.h.

## ◆ IBDrawItemInfo() [2/2]

MyGUI::IBDrawItemInfo::IBDrawItemInfo | ( | size_t | _index,
|  | size_t | _select,
|  | size_t | _active,
|  | size_t | _accept,
|  | size_t | _refuse,
|  | bool | _update,
|  | bool | _drag
| ) |  |
| inline

Definition at line 31 of file MyGUI_IBItemInfo.h.

## Field Documentation

## ◆ active

bool MyGUI::IBDrawItemInfo::active

Is widget active

Definition at line 49 of file MyGUI_IBItemInfo.h.

## ◆ drag

bool MyGUI::IBDrawItemInfo::drag

Is widget able to be dragged

Definition at line 51 of file MyGUI_IBItemInfo.h.

## ◆ drop_accept

bool MyGUI::IBDrawItemInfo::drop_accept

Is widget accepting drop

Definition at line 53 of file MyGUI_IBItemInfo.h.

## ◆ drop_refuse

bool MyGUI::IBDrawItemInfo::drop_refuse

Is widget refuseing drop

Definition at line 55 of file MyGUI_IBItemInfo.h.

## ◆ index

size_t MyGUI::IBDrawItemInfo::index

Index of element

Definition at line 43 of file MyGUI_IBItemInfo.h.

## ◆ select

bool MyGUI::IBDrawItemInfo::select

Is widget selected

Definition at line 47 of file MyGUI_IBItemInfo.h.

## ◆ update

bool MyGUI::IBDrawItemInfo::update

State and interdan data changed

Definition at line 45 of file MyGUI_IBItemInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_IBItemInfo.h